
Figure - Bug #118122
【IOVDEV-29583】【自动化测试】【稳定性测试】【VC1】【副屏】monkey稳定性测试，副屏重启（实验室
副屏1）
2023-05-22 10:53 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-22

Priority: Normal Due date: 2023-05-26

Assignee: CD SYSTEM-夏旭 % Done: 10%

Category: 重启 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-26

Test Type: ST Root cause:

Description

【重启时间】：2023/5/20 14:00 ~ 5/22 08:30之间

【前提条件】：副屏上电

【操作步骤】

【前提条件】.副屏正常可以操作

1.执行monkey稳定性测试

【实际结果】

1.monkey停止运行，安卓系统重启

【期望结果】

1.副屏正常再跑monkey命令

【备注】：

adb shell

ps -ef | grep system_server

发现system_server PID 9000+，怀疑system_srever被kill掉，安卓重启

日志地址：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0100.c103

Related issues:

Related to Figure - Bug # 118128: 【IOVDEV-29625】【自动化测试】【稳... CLOSED 2023-05-22

History

#1 - 2023-05-22 10:56 - CDTS_TEST 王成

- Severity changed from Normal to Critical

#2 - 2023-05-22 10:58 - CDTS_TEST 王成
Bug描述：

5/20号14：00部署稳定性测试

5/20号 08：30查看monkey停止运行，system_server PID 19000+，怀疑system_server被kill掉之后系统重启

【中控版本号】：未解中控屏幕，单接副屏

【副屏版本号】：01.00.0100.c103

#3 - 2023-05-22 11:02 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118122-118121/5_22_%E5%89%AF%E5%B1%8F1.7z

#4 - 2023-05-22 11:05 - CDTS_TEST 王成

- Category changed from CD-FW to SYSTEM

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

#5 - 2023-05-22 22:37 - CD SYSTEM-夏旭

- File 000022_persist_00000_230521_011229.log added

1. system_server 重启

    android/frameworks/base/services/java/com/android/server/SystemServer.java

   [sys.system_server.start_count]: [2]

   000022_persist_00000_230521_011229.log:369:05-21 01:12:28.587 27916 27916 I system_server_start: [2,43645630,43645630]

2.请上层AF分析

#6 - 2023-05-22 22:37 - CD SYSTEM-夏旭

- % Done changed from 0 to 10

#7 - 2023-05-22 22:38 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

#8 - 2023-05-23 20:08 - CDTS-TEST 周婷

- Category changed from SYSTEM to CD-FW

#9 - 2023-05-23 21:36 - CDTS_TEST 王成

- Fixed Version set to 2023-05-26

#10 - 2023-05-23 21:44 - CDTS_Test 吴诗雨

- Due date set to 2023-05-26

#11 - 2023-05-24 10:19 - CDTS-TEST 周婷

- Category changed from CD-FW to 重启

#12 - 2023-05-24 11:34 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭
Hi 夏旭

如飞书语音沟通，请帮忙调查外部杀system_server的原因

另外在日志中发现屏端有电压异常和screen not ready的错误，不清楚会不会对当前问题产生影响

05-21 01:11:58.222     0     0 E [43615.264696] DTC_Display: Abnormal voltage: 0mV

05-21 01:12:06.815     0     0 E [43623.856642] DTC_Display: Abnormal voltage: 100mV

05-21 01:12:06.815     0     0 E [43623.856648] DTC_Display: screen not ready(0), bl_sta(1), lvl(78)

05-21 01:12:08.407     0     0 E [43625.448577] DTC_Display: screen not ready(0), bl_sta(1), lvl(78)

05-21 01:12:10.423     0     0 E [43627.464594] DTC_Display: screen not ready(0), bl_sta(1), lvl(78)

05-21 01:12:12.439     0     0 E [43629.480644] DTC_Display: screen not ready(0), bl_sta(1), lvl(82)

05-21 01:12:14.247     0     0 E [43631.288601] DTC_Display: screen not ready(0), bl_sta(1), lvl(1)

05-21 01:12:16.575     0     0 E [43633.616589] DTC_Display: screen not ready(0), bl_sta(1), lvl(1)

05-21 01:12:25.935     0     0 E         : [43642.976795] Out of memory: Kill process 1526 (system_server) score 0 or sacrifice child

05-21 01:12:25.935     0     0 E         : [43642.977171] Killed process 1526 (system_server) total-vm:21091636kB, anon-rss:0kB, file-rss:40428kB, shmem-rss:9164kB

oom_score_adj=-900

05-21 01:12:28.587 27916 27916 I system_server_start: [2,43645630,43645630]

#13 - 2023-05-24 20:21 - CD SYSTEM-夏旭

- Resolution changed from -- to DUPLICATE

与bug118126相同 #[[https://share.thundersoft.com/redmine/issues/118126]]

05-21 09:07:08.793     0     0 E         : [70094.313803] Out of memory: Kill process 1539 (system_server) score 0 or sacrifice child

05-21 09:07:08.796     0     0 E         : [70094.315833] Killed process 1539 (system_server) total-vm:21624184kB, anon-rss:0kB, file-rss:0kB, shmem-rss:8308kB

oom_score_adj=-90

#14 - 2023-05-24 20:25 - CD SYSTEM-胡兵

- Parent task set to #118126

#15 - 2023-05-24 20:32 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Parent task deleted (#118126)

#16 - 2023-06-02 17:12 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#17 - 2023-06-02 17:13 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

000022_persist_00000_230521_011229.log 249 KB 2023-05-22 CD SYSTEM-夏旭
